package com.huimv.acquisition.entity.vo;


import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 耳标相关的所有的参数提交用这个来接收
 */
@Data
public class EartagParamVo {

    /**
     * 当前页
     */
    private String page;


    /**
     * 页数大小
     */
    private String limit;
    

    /**
     * 传入时间（注册时间）
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date sendTime;


    /**
     * 开始时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date starTime;


    /**
     * 结束时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;


    /**
     * 设备编码
     */
    private String deviceCode;


    /**
     * 阶段
     */
    private Integer stage;

    /**
     * 耳标高温
     */
    private String eartagHighTemp;


    /**
     * 耳标低高温
     */
    private String eartagLowTemp;


    /**
     * 耳标编号
     */
    private String eartagNo;


    /**
     * 栋舍编号
     */
    private String penNo;


    /**
     * 单元编号
     */
    private String unitNo;


    /**
     * 环境温度高值
     */
    private String envHighTemp;


    /**
     * 环境温度低值
     */
    private String envLowTemp;

    /**
     * 电池电量
     */
    private Integer bat;

    /**
     * 信号强度
     */
    private Integer rssi;
    
    
    

}
