package com.huimv.eartag.service.impl;

import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.StringUtils;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huimv.common.utils.Result;
import com.huimv.common.utils.ResultCode;
import com.huimv.eartag.entity.BasePigpen;
import com.huimv.eartag.entity.CollectorRegister;
import com.huimv.eartag.mapper.CollectorRegisterMapper;
import com.huimv.eartag.service.ICollectorRegisterService;
import org.springframework.stereotype.Service;

import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author astupidcoder
 * @since 2022-01-07
 */
@Service
public class CollectorRegisterServiceImpl extends ServiceImpl<CollectorRegisterMapper, CollectorRegister> implements ICollectorRegisterService {


    @Override
    public Result pageAll(Map map) {
        Integer current = (Integer)map.get("current");
        Integer size = (Integer) map.get("size");
        String searchName = (String) map.get("searchName");
        String date =(String)map.get("registerTime");
        String pigpenId =(String)map.get("pigpenId");
        String stage =(String)map.get("stage");



        QueryWrapper<CollectorRegister> wrapper = new QueryWrapper<>();
        wrapper.like(StringUtils.isNotBlank(searchName),"device_code",searchName);
        wrapper.eq("pigpen_id",pigpenId);
        wrapper.eq("stage",stage);
        //TODO 注册时间有BUG
        wrapper.eq("register_time",date);


        Page<CollectorRegister> page = page(new Page<>(current, size), wrapper);

        return new Result(ResultCode.SUCCESS,page);
    }

    @Override
    public Result listCount(Integer farmId) {


        LambdaQueryWrapper<CollectorRegister> lambdaQuery = Wrappers.lambdaQuery();
        lambdaQuery.in(CollectorRegister::getFarmCode, farmId);

        Map<String, Integer> map = new LinkedHashMap<>();
        map.put("total", count(lambdaQuery));

        lambdaQuery.eq(CollectorRegister::getCanStatus, 0);
        map.put("normal", count(lambdaQuery));

        lambdaQuery.clear();
        lambdaQuery.eq(CollectorRegister::getFarmCode, farmId);
        lambdaQuery.ne(CollectorRegister::getCanStatus, 0);
        map.put("abnormal", count(lambdaQuery));

        lambdaQuery.clear();
        lambdaQuery.eq(CollectorRegister::getFarmCode, farmId);
        lambdaQuery.eq(CollectorRegister::getCanStatus, 3);
        map.put("logout", count(lambdaQuery));

        return  new Result(ResultCode.SUCCESS,map);

    }
}
