package com.huimv.eartag.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huimv.common.utils.Result;
import com.huimv.common.utils.ResultCode;
import com.huimv.eartag.entity.EartagData;
import com.huimv.eartag.mapper.EartagDataMapper;
import com.huimv.eartag.service.IEartagDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author astupidcoder
 * @since 2022-01-13
 */
@Service
public class EartagDataServiceImpl extends ServiceImpl<EartagDataMapper, EartagData> implements IEartagDataService {

    @Autowired
    private EartagDataMapper eartagDataMapper;

    @Override
    public Result getTemp(Map<String,String> map) {

        Integer current = Integer.parseInt(map.get("current"));
        Integer size =Integer.parseInt(map.get("size"));
        Page<EartagData> iPage = new Page<>(current,size);
        //条件
        QueryWrapper<EartagData> wrapper = new QueryWrapper<>();


        List<EartagData> list = eartagDataMapper.getTemp(iPage,wrapper);
        return new Result(ResultCode.SUCCESS,list);
    }
}
